#include<stdio.h>
#include<math.h>
int main(void)
{
	double x1,x2,y1,y2;

	printf("enter x1: ");
	scanf("%lf",&x1);
	printf("enter x2: ");
	scanf("%lf",&x2);
	printf("enter y1: ");
	scanf("%lf",&y1);
	printf("enter y2: ");
	scanf("%lf",&y2);
	double r2=(x1-x2);
	double r1=(y1-y2);
	double m=(r1/r2);
	printf("the slope is %lf ",m);
	double mid1=((x1+x2)/2);
	double mid2=((y1+y2)/2);
	double d=sqrt((r1*r1)+(r2*r2));
	printf("\nthe mid-point of x is:%f",mid1);
	printf(" \nthe mid-point of y is: %f",mid2);
	printf("\nthe distane of the line is :%f" ,d);


return 0;	
}
